Subject: Fwd: [hybi] Fwd: New Version Notification for draft-thomson-hybi-http-timeout-00

From: Mark Nottingham <[email-masked]>
Date: Thu, 10 Mar 2011 09:23:07 -0800

FYI, HTTP-related draft for timeout headers on the hybi list.

Begin forwarded message:

> From: Salvatore Loreto <[email-masked]>
> Date: 9 March 2011 3:37:13 AM PST
> To: "[email-masked]" <[email-masked]>
> Subject: [hybi] Fwd: New Version Notification for draft-thomson-hybi-http-timeout-00
> 
> (as individual)
> 
> 
> Martin, Greg and I have submitted the following draft:
> http://tools.ietf.org/id/draft-thomson-hybi-http-timeout-00.txt
> 
> The draft only defines HTTP headers that can be (re)used for discovery idle time to use in
> both LongPolling/Comet and WebSocket connection lifetime management (keep alive process).
> 
> Note, the draft does not discuss the actual WebSocket keep alive process;
> and this thread is only to discuss the mechanism for discovery idle time.
> 
> 
> Comments and opinions on the draft are very welcome and appreciate.
> 
> cheers
> /Sal
> 
> -- 
> Salvatore Loreto
> www.sloreto.com
> 
> 
> 
> -------- Original Message --------
> Subject:	New Version Notification for draft-thomson-hybi-http-timeout-00
> Date:	Mon, 7 Mar 2011 00:09:52 +0100
> From:	IETF I-D Submission Tool <[email-masked]>
> To:	[email-masked] <[email-masked]>
> CC:	Salvatore Loreto <[email-masked]>, "[email-masked]" <[email-masked]>
> 
> A new version of I-D, draft-thomson-hybi-http-timeout-00.txt has been successfully submitted by Martin Thomson and posted to the IETF repository.
> 
> Filename:	 draft-thomson-hybi-http-timeout
> Revision:	 00
> Title:		 Hypertext Transfer Protocol (HTTP) Timeouts
> Creation_date:	 2011-03-07
> WG ID:		 Independent Submission
> Number_of_pages: 12
> 
> Abstract:
> A Request-Timeout header is defined for Hypertext Transfer Protocol
> (HTTP).  This end-to-end header informs an origin server and any
> intermediaries of the maximum time that a client will await a
> response to its request.  A server can use this header to ensure that
> a timely response is generated.  This also identifies requests as
> being potentially long-lived, and allows for better resource
> allocation for these requests.
> 
> A Connection-Timeout header is defined for HTTP.  This hop-by-hop
> header informs the entity at the other end of a connection of the
> maximum time that an idle connection is kept open.  This header
> improves reliability by providing better information about the idle
> connection management policy of HTTP hosts.
>                                                                                   
> 
> 
> The IETF Secretariat.
> 
> 
> _______________________________________________
> hybi mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/hybi

--
Mark Nottingham   http://www.mnot.net/